Where collectors find their scanning credentials, and which collectors may use each. No
curl --request PATCH \
--url https://app.assetinfinity.ai/api/discovery_credential_refs \
--header 'Content-Type: application/json' \
--data '
{
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locator": "<string>",
"name": "<string>",
"protocol": "<string>",
"source_ids": [
"<string>"
],
"store": "<string>",
"updated_at": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/discovery_credential_refs"
payload = {
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locator": "<string>",
"name": "<string>",
"protocol": "<string>",
"source_ids": ["<string>"],
"store": "<string>",
"updated_at": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
created_at: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locator: '<string>',
name: '<string>',
protocol: '<string>',
source_ids: ['<string>'],
store: '<string>',
updated_at: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/discovery_credential_refs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Itam
Where collectors find their scanning credentials, and which collectors may use each. No
credential is stored here.
PATCH
/
discovery_credential_refs
Where collectors find their scanning credentials, and which collectors may use each. No
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
discovery_credential_refs
Where collectors find their scanning credentials, and which collectors may use each. No credential is stored here.
Note: This is a Primary Key.
Maximum string length:
500Maximum string length:
150Maximum string length:
30Maximum string length:
30Response
204
No Content
⌘I

